PDA

View Full Version : Missing Packages in SMT



Frojoe
30-Apr-2013, 20:04
I've installed and implemented SMT in my company's environment and I've noticed that a lot of the development packages are missing, even with the SDK repositories mirrored and enabled on those machines. Two big ones are libopenssl-devel and rubygems. They should be there, and I was able to install them via zypper before isntalling SMT, but they aren't being mirrored. SMT isn't reporting any errors. Does anybody know what is up with this?

jmozdzen
01-May-2013, 22:05
Hi Froje,

I just checked my clients... libopenssl-devel is listed for mine via SMT, too. Which version are you on (SLES11SP2?) and what does
"zypper lr -s" report? Especially, is the SDK repos registered?


jmozdzen@server:~> zypper lr -s
# | Alias | Name | Aktiviert | Aktualisieren | Dienst
---+-----------------------------------------------------+----------------------------+-----------+---------------+-------------------------
1 | SMT-http_smtserver:SLE11-SDK-SP1-Pool | SLE11-SDK-SP1-Pool | Ja | Ja | SMT-http_smtserver
2 | SMT-http_smtserver:SLE11-SDK-SP1-Updates | SLE11-SDK-SP1-Updates | Ja | Ja | SMT-http_smtserver
3 | SMT-http_smtserver:SLE11-SDK-SP2-Core | SLE11-SDK-SP2-Core | Ja | Ja | SMT-http_smtserver
4 | SMT-http_smtserver:SLE11-SDK-SP2-Updates | SLE11-SDK-SP2-Updates | Ja | Ja | SMT-http_smtserver

jmozdzen@server:~> zypper se libopenssl-devel
Daten des Repositorys laden ...
Installierte Pakete lesen ...

S | Name | Zusammenfassung | Typ
--+--------------------------+-------------------------------------------------------+------
| libopenssl-devel | Include Files and Libraries mandatory for Development | Paket
| sdksp1-libopenssl-devel | Security update for libopenssl | Patch
| sdksp2-libopenssl-devel | Security update for OpenSSL | Patch
i | slessp1-libopenssl-devel | Security update for libopenssl | Patch
i | slessp2-libopenssl-devel | Security update for OpenSSL | Patch


Regards,
Jens